Package: org.codehaus.groovy.antlr

## [Java] Class ASTRuntimeException

- org.codehaus.groovy.antlr.ASTRuntimeException

- Used within the Groovy's AntlrParserPlugin

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTRuntimeException (AST ast, String message)`
    `ASTRuntimeException (AST ast, String message, Throwable throwable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static String` | `description(AST node)`
    `` | `AST` | `getAst()`
    `` | `int` | `getColumn()`
    `` | `int` | `getLine()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ASTRuntimeException(AST ast, String message)

    - #### public ASTRuntimeException(AST ast, String message, Throwable throwable)

  - ### Method Detail

    - #### protected static String description(AST node)

    - #### public AST getAst()

    - #### public int getColumn()

    - #### public int getLine()